--Passez ces drop avant de faire les insertions, sql developper a tendance a commencer les sequences à partir de 2
DROP SEQUENCE GRH_PECHE.CIRCUIT_VALIDATION_SEQ;
DROP SEQUENCE GRH_PECHE.ETAPE_SEQ;
DROP SEQUENCE GRH_PECHE.CHEMIN_SEQ;
CREATE SEQUENCE GRH_PECHE.CIRCUIT_VALIDATION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;
CREATE SEQUENCE GRH_PECHE.ETAPE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;
CREATE SEQUENCE GRH_PECHE.CHEMIN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;


--CIRCUIT_VALIDATION
Insert into GRH_PECHE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (GRH_PECHE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_PREVISIONNEL', 'Circuit par défaut : REPARTITEUR, DIRECTEUR COMPOSANTE, ENSEIGNANT, PRESIDENT');
Insert into GRH_PECHE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (GRH_PECHE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_TITULAIRE', 'Circuit pour les titulaires : REPARTITEUR, ENSEIGNANT, DIRECTEUR COMPOSANTE, PRESIDENT');
Insert into GRH_PECHE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (GRH_PECHE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_VACATAIRE', 'Circuit où la DRH est obligatoire : REPARTITEUR, DRH, ENSEIGNANT, DIRECTEUR COMPOSANTE, PRESIDENT');

--ETAPE
--Fiche de service prévisionnel
--Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 1, 'O');

Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 1, 'O');
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 1);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 1);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 1);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 1);

--Circuit de validation d'un enseignant non vacataire
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 2, 'O');
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_ENSEIGNANT', 'Refus de validation par l''enseignant', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_DIR_COMPOSANTE', 'Refus de validation par le directeur de la composante', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_DRH', 'Validation par la direction des ressoures humaines', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 2);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 2);

--Circuit de validation d'un enseignant vacataire
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 3, 'O');
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_DRH', 'Validation par la direction des ressoures humaines', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_DRH', 'Validation par la direction des ressoures humaines', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_ENSEIGNANT', 'Refus de validation par l''enseignant', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_DIR_COMPOSANTE', 'Refus de validation par le directeur de la composante', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 3);
Insert into GRH_PECHE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (GRH_PECHE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 3);

--CHEMIN
--Circuit pour une fiche prévisonnelle
Insert into GRH_PECHE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (GRH_PECHE.CHEMIN_SEQ.NEXTVAL, 1, 2);
Insert into GRH_PECHE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (GRH_PECHE.CHEMIN_SEQ.NEXTVAL, 2, 3);
Insert into GRH_PECHE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (GRH_PECHE.CHEMIN_SEQ.NEXTVAL, 3, 4);



